> ## Documentation Index
> Fetch the complete documentation index at: https://developers.podero.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update general device attributes

> Update general attributes of a device, like `is_smart_optimization_active`
or `is_authenticated`.



## OpenAPI

````yaml https://app.podero.com/api/partners/v2.0/openapi.json patch /api/partners/v2.0/org/{org_id}/users/{user_id}/devices/{device_id}
openapi: 3.1.0
info:
  title: Podero Partner API
  version: '2.0'
  description: >-
    This API provides a unified interaction point for Podero's partner
    companies.


    The goal of this API is to give partners easily integratable endpoints that
    don't require extensive software

    development. For this reason, the endpoints focus around user and device
    management, setting of preferences

    and high level device controls.


    While direct control of devices is implemented for special use cases such as
    pause power, we abstract away low level

    direct device steering so developers and partners can focus on delivering
    maximum value to end users.
  termsOfService: https://www.podero.com/terms-and-conditions
servers: []
security: []
paths:
  /api/partners/v2.0/org/{org_id}/users/{user_id}/devices/{device_id}:
    patch:
      tags:
        - User Devices
      summary: Update general device attributes
      description: >-
        Update general attributes of a device, like
        `is_smart_optimization_active`

        or `is_authenticated`.
      operationId: >-
        integrations_api_api_v2_organizations_users_devices_router_update_device_attributes
      parameters:
        - in: path
          name: org_id
          schema:
            description: The organization ID of the user's organization
            format: uuid
            title: Org Id
            type: string
          required: true
          description: The organization ID of the user's organization
        - in: path
          name: user_id
          schema:
            description: The user ID of the user whom the device belongs to
            format: uuid
            title: User Id
            type: string
          required: true
          description: The user ID of the user whom the device belongs to
        - in: path
          name: device_id
          schema:
            description: The ID of the device to be updated
            format: uuid
            title: Device Id
            type: string
          required: true
          description: The ID of the device to be updated
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DeviceUpdate'
        required: true
      responses:
        '200':
          description: OK
      security:
        - OAuth2: []
components:
  schemas:
    DeviceUpdate:
      properties:
        is_smart_optimization_active:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Smart Optimization Active
        is_authenticated:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Authenticated
        is_inverter_forced_mode_enabled:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Is Inverter Forced Mode Enabled
        comment:
          anyOf:
            - type: string
            - type: 'null'
          title: Comment
      title: DeviceUpdate
      type: object
  securitySchemes:
    OAuth2:
      type: oauth2
      flows:
        password:
          tokenUrl: /api/partners/v2.0/auth/token
          scopes: {}
        clientCredentials:
          tokenUrl: /api/partners/v2.0/auth/token
          scopes: {}

````